package subscription

import (
	"cloud.o-forge.io/core/oc-lib/logs"
	"cloud.o-forge.io/core/oc-lib/models/utils"
	"cloud.o-forge.io/core/oc-lib/tools"
)

type subscriptionMongoAccessor struct {
	utils.AbstractAccessor[*Subscription]
}

func NewAccessor(request *tools.APIRequest) *subscriptionMongoAccessor {
	return &subscriptionMongoAccessor{
		AbstractAccessor: utils.AbstractAccessor[*Subscription]{
			Logger:  logs.CreateLogger(tools.SUBSCRIPTION.String()),
			Request: request,
			Type:    tools.SUBSCRIPTION,
			New:     func() *Subscription { return &Subscription{} },
		},
	}
}
